VMELILO(8)

NAME
vmelilo - VME Linux/m68k Loader

SYNOPSIS
vmelilo [ -h ] [ -v ] [ -a id ] [ -f ] [ -B ] [ -b file ] [ -u ] [ -w prefix ] [ -r file ] [ -s file ] [ -d device ] [ -c file ] [ -l file ] [ -t ] [ -V ]

DESCRIPTION
vmelilo is used to install a VME Linux/m68k boot block loader on a boot partition. It can also be used to save boot blocks to a file or restore boot blocks from a file. By default vmelilo will detect the machine type it is running on and will install an appropriate boot loader.

PREREQUISITES
BVMBug Revision E or later boot ROMs for BVME4000/6000.

OPTIONS

-h, --help
    Display the usage information.

-v, --verbose
    Enable verbose mode.

-f, --force
    Force installation and restore over an unknown boot block.

-a, --arch id
    Override automatic machine type detection to allow disk initialisation on a foreign system. Also allows the machine type to be specified when Where id is:

    bvme - BVME4000/6000
    mvme - Motorola MVME 147/162/166/167/172/177

-w, --root prefix
    Use another root directory instead of /.

-B, --force-backup
    Force a boot block backup even if a boot block backup file exists.

-b, --backup-file file
    Write boot block backup to file instead of /boot/backup.xx.yy. Specify /dev/null if no boot block backup is required.

-u, --uninstall
    Uninstall by restoring the backed up boot block from /boot/backup.xx.yy.

-r, --restore-from file
    Restore the boot block from file.

-s, --save-to file
    Just save the boot block to file.

-d, --device device
    Override block special device in configuration file.

-c, --config-file file
    Read configuration settings from file instead of /etc/lilo.conf. If file is '-' the configuration data is read from standard input.

-l, --loader-file file
    Write boot loader code to file instead of /boot/boot.loader.

-t, --test
    Test mode, don't actually write boot block.

-V, --version
    Display the version information.

FILES

/etc/vmelilo.conf
    Configuration file.

/boot/backup.xx.yy
    Boot block backup, created by vmelilo. xx and yy are replaced by the device major and minor numbers respectively.

/boot/boot.loader
    Default loader executable, created by vmelilo.

LILO Boot: prompt
A boot prompt will appear on the serial console, if Lilo is not configured to boot automatically, or if you press a key on the keyboard while the word LILO is being displayed.

While at the Boot: prompt you can perform the following actions:

Press <Enter> to boot the default configuration.

Press <Tab> to list the available boot configurations.

Enter ? or help to get a list of valid commands.

Enter the label or alias of a configuration to boot followed by any kernel command line parameters. These command line parameters will be appended to the kernel command line after the vmelilo.conf 'cmdline', 'root', 'console', 'read-write' and 'read-only' option values, so duplicate command line values entered at the Boot: prompt will take precedence. The parameters specified by the vmelilo.conf 'append' option are tagged on the end of the kernel command line, so they can't be overridden. If the record has a password attached to it, the loader will prompt for it first and will only boot if you enter the correct password. If the configuration is a 'restricted' configuration you will be prompted for the password only if extra kernel command line parameters have been entered.

Enter su to enter the boot monitor. If a master password has been set the loader will ask for it before allowing you to enter the boot monitor.

Sit and wait: after the specified timeout the loader will boot the default configuration automatically. If the timeout has been set to zero (infinite) you will have a long wait.

AUTHOR
Nick Holgate (holgate@debian.org)

ACKNOWLEDGMENTS
Some parts of this program were derived directly from original code and ideas from Geert Uytterhoeven (Geert.Uytterhoeven@cs.kuleuven.ac.be) and Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de).

The original idea for this program comes from the Linux distribution:

LILO
    Generic Boot Loader for Linux ("LInux LOader") by Werner Almesberger

SEE ALSO
vmelilo.conf(5)